package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrAnalyzer;

/**
 * 在线分析仪Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrAnalyzerMapper
{
    /**
     * 查询在线分析仪
     *
     * @param id 在线分析仪ID
     * @return 在线分析仪
     */
    public TPssrAnalyzer selectTPssrAnalyzerById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询在线分析仪列表
     *
     * @param tPssrAnalyzer 在线分析仪
     * @return 在线分析仪集合
     */
    
    public List<TPssrAnalyzer> selectTPssrAnalyzerList(TPssrAnalyzer tPssrAnalyzer);

    /**
     * 新增在线分析仪
     *
     * @param tPssrAnalyzer 在线分析仪
     * @return 结果
     */
    public int insertTPssrAnalyzer(TPssrAnalyzer tPssrAnalyzer);

    /**
     * 修改在线分析仪
     *
     * @param tPssrAnalyzer 在线分析仪
     * @return 结果
     */
    public int updateTPssrAnalyzer(TPssrAnalyzer tPssrAnalyzer);
    public int updateTPssrAnalyzerByIds(TPssrAnalyzer tPssrAnalyzer);

    /**
     * 删除在线分析仪
     *
     * @param id 在线分析仪ID
     * @return 结果
     */
    public int deleteTPssrAnalyzerById(Long id);

    /**
     * 批量删除在线分析仪
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrAnalyzerByIds(Long[] ids);
}
